Module ij
Package ij.plugin

# Class Projector

java.lang.Object
ij.plugin.Projector

All Implemented Interfaces:
  `PlugIn`

public class Projector extends Object implements PlugIn
This plugin creates a sequence of projections of a rotating volume (stack of slices) onto a plane using nearest-point (surface), brightest-point, or mean-value projection or a weighted combination of nearest- point projection with either of the other two methods (partial opacity). The user may choose to rotate the volume about any of the three orthogonal axes (x, y, or z), make portions of the volume transparent (using thresholding), or add a greater degree of visual realism by employing depth cues. Based on Pascal code contributed by Michael Castle of the University of Michigan Mental Health Research Institute.

## Constructor Summary

Constructors
Constructor
Description
`Projector()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Projector

public Projector()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`